<?php
  
FOREACH (ARRAY('config', 'connect', 'users') AS $connect) {
  
  INCLUDE_ONCE ("../../../system/connections/global/$connect.php"); 
  
}

ACCESS('users');

$comm = DB::GET_STRING("SELECT `ID`,`AVATAR` FROM `COMMUNITIES` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1");
$par = DB::GET_STRING("SELECT `ADMINISTRATION`,`USER_ID`,`ID` FROM `COMMUNITIES_PAR` WHERE `COMMUNITY_ID` = '".$comm['ID']."' AND `USER_ID` = '".$user['ID']."' LIMIT 1");

IF (AJAX() == TRUE){
  
  IF (ISSET($par['ID']) && $par['ADMINISTRATION'] == 1 || MANAGEMENT == 1 || ACCESS('communities', NULL, 1)){
    
    ECHO "<center>";
    
    ECHO LG('Разрешается выгружать изображения форматов:'); 
    ECHO ' <b>.jpg</b>, <b>.png</b> '.LG('и').' <b>.gif</b>';
    
    ECHO "<br /><br />";
    
    ECHO LG('Максимально допустимый размер:');
    
    ECHO " <br /><span class='count'>".SIZE_FILE(CONFIG('MAXFILESIZE'))."</span>";
    
    ECHO "<br /><br />";
    
    FILE::UPLOAD('/files/receiver/avatar_comm.php?id='.$comm['ID'], 'Загрузить', 1, 'btn-big');
    
    ECHO "</center>";
    
    //Если есть установленная аватарка    
    IF (IS_FILE(ROOT.'/files/upload/communities/avatar/100x100/'.$comm['AVATAR'].'.jpg')) {
      
      ECHO "<br />";
      
      ECHO "<center><div style='position: relative; text-align: center; width: 80px;'>";
      
      ECHO '<a href="/modules/?path=communities&section=show&id='.$comm['ID'].'&get=avatar_delete&'.$token_url.'" class="btn-modal-close" style="position: absolute; right: -7px; top: -2px; width: 27px;">'.ICONS('trash', 15, 'fa-fw').'</a>';
      
      ECHO "<img class='img' src='/files/upload/communities/avatar/100x100/".$comm['AVATAR'].".jpg' style='max-width: 95%;'>";
      
      ECHO "</div></center>";
    
    }
  
  }ELSE{
    
    ECHO LG('У Вас нет доступа');
  
  }
  
}ELSE{
  
  ECHO LG('Неизвестная ошибка');
  
}
  
?>